Subject: bug#4117: 23.1; isearch + isearch-allow-scroll loses shift

From: Eli Barzilay <[email-masked]>
Date: Wed, 12 Aug 2009 19:59:11 -0400

On Aug 12, Juri Linkov wrote:
> >   When `isearch-allow-scroll' is turned on, then exiting isearch with
> >   a movement command loses its "shift" status.  To see this, use
> >   isearch and look for some string, then hit C-S-right a few times and
> >   you will see that the first one does not starts a selection.
> 
> When `isearch-allow-scroll' is non-nil, then
> `isearch-other-meta-char' calls
> `isearch-reread-key-sequence-naturally', but `read-key-sequence' in
> the latter function removes the shift modifier and sets
> `this-command-keys-shift-translated' to t.

Yes, I hacked around it with my own version of
`isearch-other-meta-char'.  (But I don't think that it's a good
hack...)

> This is just an analysis.  I currently don't know what is the right
> way to fix this.  Maybe simply add the shift modifier back to the
> key when `this-command-keys-shift-translated' to t after
> `read-key-sequence'.

This sounds like a good strategy, given that shift is now very useful
in general.

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!